﻿@model SiteGuide.Web.ViewComponents.ContactsViewComponentModel

@if (Model.Contacts.Count() == 0)
{
    <h3>@Model.Title - ?</h3>
}
else
{
    <h3>@Model.Title</h3>
    @foreach (var contact in Model.Contacts)
    {
        @if (!String.IsNullOrEmpty(contact.Contact.Link))
        {
            <a href="@contact.Contact.Link" title="@contact.Contact.FullName">@contact.Contact.Name</a>
        }
        else
        {
            @contact.Contact.Name
        }
        @if (!String.IsNullOrEmpty(contact.Contact.Phone))
        {
            <text> (</text>
            @foreach (var number in contact.Contact.Phone.Split(','))
            {<a href="tel:@number">@Html.Raw(Html.Encode(number).Replace(" ", "&nbsp;"))</a>@if (contact.Contact.Phone.Split(',').Last() != number)
            {<text>, </text>}}
            <text>)</text>
        }

        @if (!String.IsNullOrEmpty(contact.Contact.Address))
        {
            @if (!String.IsNullOrEmpty(contact.Contact.Phone))
            {
                <text>, </text>
            }
            else
            {
                <text> </text>
            }
            @contact.Contact.Address
        }
        @if (Model.Contacts.Last().Contact.Id != contact.Contact.Id)
        {
            <text>, </text>
        }
    }
}